if IsAddOnLoaded("Bongos2_ActionBar") then

	local ltc = ltc
	ltc.Bongos2_UpdateCount = BongosActionButton.UpdateCount
	
	function BongosActionButton:UpdateCount()
		local frame = self.count
		local info = ltc:GetCountList()[frame]
		if info then
			ltc:UpdateCount (frame, info)
		else
			ltc.Bongos2_UpdateCount (self)
		end
	end
	
	local FrameList = {
		action = { "BongosActionButton", 120 },
		shapeshift = { "BongosClassButton", 10 },
	}

	local FrameId = {
		action = function (name, id)
			local b = getglobal (name)
			if b and b:IsVisible () then
				return b:GetPagedID()
			end
		end,
		shapeshift = function (name, id) 
			local b = getglobal (name)
			if b and b:IsVisible () then
				if GetNumShapeshiftForms () >= id then
					return id
				end
			end
		end,
	}
	
	local function Bongos2_Buttons_UpdateCountList(add)
		for type, frames in pairs(FrameList) do
			for i = 1, frames[2] do
				local name = frames[1]..i
				local id = FrameId[type] (name, i)
				local frame = getglobal(name.."Count")
				if id and frame then
					add(frame, type, id)
				end
			end
		end
	end
	
	ltc:RegisterPlugin(Bongos2_Buttons_UpdateCountList)
end
